#include "CS_KanpaAni.h"

CS_KanpaAni::CS_KanpaAni()
{
	type = 0;
	hp = 0;
}

bool CS_KanpaAni::Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage)
{
	return Entity::Hurt(src, getDamage, angle, bTakedown, elemType, shockForce, heavy, outRealDamage);
}

std::shared_ptr<Entity> CreateCS_KanpaAni()
{
	return std::make_shared<CS_KanpaAni>();
}
